FFConvenience.h File Reference
`#include <RDGeneral/export.h>`
`#include <ForceField/ForceField.h>`
`#include <RDGeneral/RDThreads.h>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::ForceFieldsHelper
| RDKit::ForceFieldsHelper::detail

## Functions

void | RDKit::ForceFieldsHelper::detail::OptimizeMoleculeConfsST (ROMol &mol, ForceFields::ForceField &ff, std::vector< std::pair< int, double >> &res, int maxIters)
std::pair< int, double > | RDKit::ForceFieldsHelper::OptimizeMolecule (ForceFields::ForceField &ff, int maxIters=1000)
| Convenience function for optimizing a molecule using a pre-generated force-field. More...
void | RDKit::ForceFieldsHelper::OptimizeMoleculeConfs (ROMol &mol, ForceFields::ForceField &ff, std::vector< std::pair< int, double >> &res, int numThreads=1, int maxIters=1000)
| Convenience function for optimizing all of a molecule's conformations using. More...